#include "globalsignal.h"
#include <QtDBus/QDBusInterface>
#include <QtDBus/QDBusReply>
#include <QtDBus/QDBusConnection>
#include <kysdk/kysdk-system/libkysysinfo.h>
//#include <kysdk/kysdk-base/libkydiagnostics.h>

GlobalUserSignal* GlobalUserSignal::instance = new GlobalUserSignal;

GlobalUserSignal *GlobalUserSignal::getInstance()
{
    return instance;
}

void GlobalUserSignal::exitApp()
{
    emit sigExit();
}

void GlobalUserSignal::deleteAllHistoryPlaylistMessageBox()
{
    emit sigDeleteAllHistoryPlaylistMessageBox();
}

void GlobalUserSignal::hideSearchResult()
{
    emit sigHideSearchResult();
}

void GlobalUserSignal::repaintLeftSidebarWidget()
{
    emit sigRepaintLeftSidebarWidget();
}

GlobalUserSignal::GlobalUserSignal(QObject *parent) : QObject(parent)
{
}
